#
# spec file for package bzflag (Version 2.0.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gcc-c++ libstdc++-devel mesa-devel-packages update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel freeglut freeglut-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         bzflag
#%define       bzdate 20050117
License:      GPL
Group:        Amusements/Games/3D/Shoot
Autoreqprov:  on
Version:      2.0.6
Release:      1
Summary:      3D Networked Multi-Player Tank Battle Game
URL:          http://BZFlag.org/
Source:       %name-%version.tar.bz2
Source2:      rc.bzflagserver
Source3:      bzflag-maps.tar.bz2
Source4:      sysconfig.bzflagserver-bzflag
Source5:      bzflag.desktop
Source6:      bzflag-icon.png
Patch:        bzflag-1.10.4-ncursespollution.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %insserv_prereq %fillup_prereq

%description
BZFlag is a 3D multi-player tank battle game that allows users to play
against each other in a networked environment. Since it makes heavy use
of 3D graphics (OpenGL), a fast CPU or a supported 3D video card is
heavily recommended.

Server maps can be found in /usr/share/games/bzflag/maps.



Authors:
--------
    Chris Schoeneman <crs23@bigfoot.com>
    Tim Riker <Tim@Rikers.org>

%debug_package
%prep
%setup -q -n %name-%version -a 3
%patch -p1
cp %SOURCE2 .

%build
./configure	--prefix=/usr \
		--libdir=%_libdir \
		--mandir=%_mandir \
		--datadir=/usr/share/games
make CPPFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" all

%preun
%stop_on_removal bzflagserver

%post
%fillup_only -an bzflagserver

%postun
%restart_on_update bzflagserver
%insserv_cleanup

%install
#Init script for the BZFlag server
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 rc.bzflagserver $RPM_BUILD_ROOT/etc/init.d/bzflagserver
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -s ../../etc/init.d/bzflagserver $RPM_BUILD_ROOT/usr/sbin/rcbzflagserver
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:4} $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/usr/share/games/bzflag/maps
install -m 644 maps/*bzmap $RPM_BUILD_ROOT/usr/share/games/bzflag/maps
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 %{S:6} $RPM_BUILD_ROOT/usr/share/pixmaps/bzflag.png
%suse_update_desktop_file -i %name Game ActionGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING PORTING README DEVINFO README.UNIX
%doc RELNOTES TODO README.Linux misc/bzfs.conf
/etc/init.d/bzflagserver
/usr/sbin/rcbzflagserver
/usr/bin/*
/usr/share/games/bzflag
/usr/share/applications/bzflag.desktop
/usr/share/pixmaps/bzflag.png
%_mandir/man6/*
%_mandir/man5/*
/var/adm/fillup-templates/sysconfig.bzflagserver-bzflag

%changelog -n bzflag
* Fri May 12 2006 - joe_morris@ntm.org
- update to 2.0.6
* Tue Jan 18 2005 - mmj@suse.de
- Update to 2.0.0 which introduces a slew of major new features
  making this probably the "biggest" release in BZFlag's history
  in terms of development time put into it and features being
  added since the last publicly released version. Major new
  features include support for vastly more complex worlds,
  physics drivers, graphics improvements, weather (rain, snow,
  frogs), tank treads and tracks, animations, record and
  playback, new flags, new commands, optimizations and much more.
  There is a new central registration system, global ban list
  support, network, new cheat preventions, and network
  optimizations in place as well.
* Tue Nov 02 2004 - mmj@suse.de
- Update urbancombat map to fit newer BZFlag versions
* Mon Oct 11 2004 - mmj@suse.de
- Update to 1.10.8 which is a maintenance release:
  o New list server URL
  o Added admin message sounds
  o Throw away bad or early links in world files
* Sat May 22 2004 - mmj@suse.de
- Update to 1.10.6 including:
  o Fixed the little hop on spawn at some sites
  o Fixed issue of players add/removing others from groups
  o Fixed false positive filter matches involving apostrophes
  o Curing ghost/duplicated/ungetable flag
  o Fixed 0 height flag, no more flags inside buildings
  o Observers see Masquerade tank with their true color
  o Password file now supports callsigns with non alphanumerics
  o Correctly read PNG textures with multiple IDAT chunks
  o bans based on hostmask (/hostban, ...) when adns is available
  o Fixed bug that allowed empty callsigns
  o server option to disallow autopilot
  o Bots drive around corners faster
  o Bots aim better, try to evade shots
* Thu Apr 29 2004 - mmj@suse.de
- Add missing sample bzflagserver configuration file to the docu-
  mentation
* Tue Jan 27 2004 - mmj@suse.de
- Update to 1.10.4
- Undefine bool after ncurses include
* Tue Jan 20 2004 - mmj@suse.de
- Add std::streamoff() wrapper (gcc 3.4)
- It's CPPFLAGS and CFLAGS now
* Tue Dec 30 2003 - mmj@suse.de
- Run the bzflagserver as nobody:nobody
* Sun Dec 28 2003 - mmj@suse.de
- Update to 1.10.2 with a number of bugfixes including the one
  where Guided Missile was not capable of hitting ring 0 players.
* Fri Dec 12 2003 - mmj@suse.de
- Adjust the sysconfig file settings
* Thu Dec 11 2003 - mmj@suse.de
- Update to 1.10.0 which is incompatible with older versions of
  BZFlag, and brings a tremendous amount of new stuff, including
  new flags.
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Sat Sep 13 2003 - sndirsch@suse.de
- fixed icon name in desktop file
* Thu Sep 11 2003 - adrian@suse.de
- make the menu texts a bit nicer
- remove unneeded X-SuSE before Categories
* Thu Aug 14 2003 - mmj@suse.de
- Add sysconfig activation metadata
* Mon Aug 11 2003 - mmj@suse.de
- Add a desktop file and an icon
* Wed Jul 30 2003 - mmj@suse.de
- Use new macros for stop/restart of services on rpm update/removal
* Wed Jun 18 2003 - mmj@suse.de
- Don't package the stuff in /usr/share/games/bzflag/bzflag
* Wed Jun 18 2003 - mmj@suse.de
- Update to 1.7g2
* Mon Jun 02 2003 - mmj@suse.de
- Fix typo
* Fri Feb 07 2003 - mmj@suse.de
- Add /etc/sysconfig/bzflagserver with parameters for the bzflag
  server.
- Tiny specfile cleanup
* Mon Dec 09 2002 - mmj@suse.de
- Update to 1.7g0 which include world file caching, team killers
  die, tank labels on roaming, new GUI options including a
  smaller display for slow systems (set opacity all the way up),
  and much more!
* Thu Nov 14 2002 - mmj@suse.de
- Added some maps
* Thu Nov 14 2002 - mmj@suse.de
- Make neededforbuild more current
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Aug 15 2002 - mmj@suse.de
- Add PreReq for insserv.
* Thu Aug 01 2002 - mmj@suse.de
- Remove insserv call
* Sun Jul 28 2002 - mmj@suse.de
- Fix specfile for ppc64
* Tue Jul 16 2002 - mmj@suse.de
- Update to 1.7e6 which includes:
  o udp request fix for later clients
  o MsgEnter should not be patched for ID
  o Removed superfluous buffer copies in bzfs buffer sends
  o Better pack/unpack code for vectors [3]
  o Fix Teamflag drop over building when building at 0,0,0
  o Fix flags spawning in pyramids
  o Fix client crashes with UNKNOWNS
  o fix patchMessage for MsgAlive
  o fix find closest flag (ID) with flags on buildings
  o scale flags bases on elevation
  o don't scale radar based on screen res
  o flag radar updated
  o new admin commands
  o -pr for reconnect port (two port tcp)
* Sat May 18 2002 - schwab@suse.de
- Fix typo in spec file.
* Sat May 18 2002 - mmj@suse.de
- Fixed the startup script.
* Fri May 17 2002 - mmj@suse.de
- Added a startup script for the BZFlag server, also changed
  Bzflag to BZFlag in all descriptions
* Fri May 10 2002 - mmj@suse.de
- Introduce lib64 configure option for the platforms using 64 bit
  libraries.
* Wed Apr 24 2002 - schwab@suse.de
- Fix for gcc 3.1.
* Thu Jan 10 2002 - ro@suse.de
- no subdirs in /usr/games
* Wed Jan 02 2002 - adrian@suse.de
- fix build for mips and arm
* Fri Dec 07 2001 - grimmer@suse.de
- update to 1.7e4
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Wed Jul 11 2001 - grimmer@suse.de
- update to 1.7e2
* Mon Jul 09 2001 - sndirsch@suse.de
- xdevel3 for #neededforbuild not required any more
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - grimmer@suse.de
- Update to version 1.7e1
- created new patch, added wrapper script as separate source
  file
- spec file fixes / cleanups
- removed hard coded requirement on mesa (RPM can take care of that)
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Nov 13 2000 - ro@suse.de
- don't redeclare inet_aton
* Tue Aug 01 2000 - grimmer@suse.de
- replaced #neededforbuild xdevel with xdevel3
* Mon Jun 05 2000 - ro@suse.de
- added mesadev to neededforbuild
* Fri Apr 14 2000 - schwab@suse.de
- Use generic linux configuration for ia64.
* Thu Mar 16 2000 - grimmer@suse.de
- Update to 1.7d.9
- Added BuildRoot
- added bzfrelay and bzfls (incl. manpages)
* Mon Jan 24 2000 - uli@suse.de
- added -D__linux to PC*FLAGS (needed for gcc 2.95)
* Fri Jan 21 2000 - grimmer@suse.de
- spec file cleanups (added URL, Group and version macro)
* Fri Jan 21 2000 - ro@suse.de
- use _GNU_SOURCE
* Mon Dec 20 1999 - kukuk@suse.de
- fixed for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 31 1999 - uli@suse.de
- fixed for PPC
* Tue Jun 22 1999 - grimmer@suse.de
- initial package (Version 1.7c)
